package cn.sikey.hmd.dal.mysql;

import cn.sikey.framework.mybatis.core.mapper.BaseMapperX;
import cn.sikey.hmd.dal.dataobject.LanguageDictionaryDO;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface LanguageDictionaryMapper extends BaseMapperX<LanguageDictionaryDO> {

    default List<LanguageDictionaryDO> selectLanguageDictionaryByType(String type) {
        QueryWrapper<LanguageDictionaryDO> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("language_dictionary_type", type);
        return selectList(queryWrapper);
    }
}
